[git] GnuPG - branch, master, updated. gnupg-2.1.11-186-gfb1e9df

by Werner Koch cvs at cvs.gnupg.org
Wed May 4 15:09:31 CEST 2016


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The GNU Privacy Guard".

The branch, master has been updated
       via  fb1e9df48465c2f77a65dddd257572fdc79d9450 (commit)
       via  920b1421b35d1404b8360bd8feac0be659840543 (commit)
       via  edce430b039b313cc2d79402a7bd21347490c3be (commit)
       via  9ea258fa5b45bb5454ee3f5906df5d5eebdec0dd (commit)
      from  2b78223d7587c68e2e27a3d7b365219228da7947 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit fb1e9df48465c2f77a65dddd257572fdc79d9450
Author: Werner Koch <wk at gnupg.org>
Date:   Wed May 4 15:08:17 2016 +0200

    speedo,w32: Remove the installation directory page.
    
    * build-aux/speedo/w32/inst.nsi (MUI_PAGE_DIRECTORY): Remove.
    
    Signed-off-by: Werner Koch <wk at gnupg.org>

diff --git a/build-aux/speedo/w32/inst.nsi b/build-aux/speedo/w32/inst.nsi
index 6b4d023..2c671c2 100644
--- a/build-aux/speedo/w32/inst.nsi
+++ b/build-aux/speedo/w32/inst.nsi
@@ -156,10 +156,10 @@ VIAddVersionKey "FileVersion" "${PROD_VERSION}"
 !insertmacro MUI_PAGE_LICENSE "${TOP_SRCDIR}/COPYING"
 
 !define MUI_PAGE_CUSTOMFUNCTION_SHOW PrintNonAdminWarning
+!define MUI_PAGE_CUSTOMFUNCTION_LEAVE CheckExistingVersion
 !insertmacro MUI_PAGE_COMPONENTS
 
-!define MUI_PAGE_CUSTOMFUNCTION_LEAVE CheckExistingVersion
-!insertmacro MUI_PAGE_DIRECTORY
+# We don't have MUI_PAGE_DIRECTORY
 
 !ifdef HAVE_STARTMENU
 
@@ -260,11 +260,11 @@ LangString T_RunKeyManager ${LANG_GERMAN} \
    "Die Schlüsselverwaltung aufrufen"
 
 LangString T_MoreInfo ${LANG_ENGLISH} \
-   "Click here for GnuPG's website"
+   "Click here to see how to help the GnuPG Project"
 LangString T_MoreInfo ${LANG_GERMAN} \
-   "Hier klicken um zur GnuPG Homepage zu gelangen"
-LangString T_MoreInfoURL ${LANG_ENGLISH} "https://gnupg.org"
-LangString T_MoreInfoURL ${LANG_GERMAN}  "https://gnupg.org"
+   "Hier klicken um dem GnuPG Projekt zu zu helfen"
+LangString T_MoreInfoURL ${LANG_ENGLISH} "https://gnupg.org/donate"
+LangString T_MoreInfoURL ${LANG_GERMAN}  "https://gnupg.org/donate"
 
 LangString T_ShowReadme ${LANG_ENGLISH} \
    "Show the README file"
@@ -319,8 +319,8 @@ FunctionEnd
 
 
 # Check whether GnuPG has already been installed.  This is called as
-# a leave function from the directory page.  A call to abort will get
-# back to the directory selection.
+# a leave function from the components page.  A call to abort will get
+# back to the components selection.
 Function CheckExistingVersion
   ClearErrors
   FileOpen $0 "$INSTDIR\VERSION" r

commit 920b1421b35d1404b8360bd8feac0be659840543
Author: Werner Koch <wk at gnupg.org>
Date:   Wed May 4 14:40:16 2016 +0200

    gpg: Fix const char pointer mismatch with gettext.
    
    * g10/tofu.c (get_trust): Use const char *.
    
    Signed-off-by: Werner Koch <wk at gnupg.org>

diff --git a/g10/tofu.c b/g10/tofu.c
index 5213e03..e591aa5 100644
--- a/g10/tofu.c
+++ b/g10/tofu.c
@@ -2101,7 +2101,8 @@ get_trust (struct dbs *dbs, const char *fingerprint, const char *email,
 	/* TRANSLATORS: Please translate the text found in the source
 	   file below.  We don't directly internationalize that text
 	   so that we can tweak it without breaking translations.  */
-	char *text = _("TOFU detected a binding conflict");
+	const char *text = _("TOFU detected a binding conflict");
+        char *textbuf;
 	if (strcmp (text, "TOFU detected a binding conflict") == 0)
 	  /* No translation.  Use the English text.  */
 	  text =
@@ -2111,9 +2112,9 @@ get_trust (struct dbs *dbs, const char *fingerprint, const char *email,
 	    "Alternatively, a new key may indicate a man-in-the-middle "
 	    "attack!  Before accepting this key, you should talk to or "
 	    "call the person to make sure this new key is legitimate.";
-        text = format_text (text, 0, 72, 80);
+        textbuf = format_text (text, 0, 72, 80);
 	es_fprintf (fp, "\n%s\n", text);
-        xfree (text);
+        xfree (textbuf);
       }
 
     es_fputc ('\n', fp);

commit edce430b039b313cc2d79402a7bd21347490c3be
Author: Werner Koch <wk at gnupg.org>
Date:   Wed May 4 14:39:20 2016 +0200

    speedo: Build sqlite with static-libgcc.
    
    * build-aux/speedo/patches/sqlite.patch: New.
    * Makefile.am (EXTRA_DIST): Add file.
    --
    
    Signed-off-by: Werner Koch <wk at gnupg.org>

diff --git a/Makefile.am b/Makefile.am
index 5527e24..bf12302 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -43,7 +43,8 @@ EXTRA_DIST = build-aux/config.rpath build-aux/potomo autogen.sh autogen.rc \
              build-aux/speedo/w32/gnupg-logo-164x314.bmp    \
              build-aux/speedo/patches/atk-1.32.0.patch	    \
              build-aux/speedo/patches/libiconv-1.14.patch   \
-             build-aux/speedo/patches/pango-1.29.4.patch
+             build-aux/speedo/patches/pango-1.29.4.patch    \
+             build-aux/speedo/patches/sqlite.patch
 
 
 DISTCLEANFILES = g10defs.h
diff --git a/build-aux/speedo/patches/sqlite.patch b/build-aux/speedo/patches/sqlite.patch
new file mode 100755
index 0000000..f81a414
--- /dev/null
+++ b/build-aux/speedo/patches/sqlite.patch
@@ -0,0 +1,42 @@
+#! /bin/sh
+grep static-libgcc Makefile.am >/dev/null && exit 0
+patch -p0 -l -f $* < $0
+exit $?
+
+Use -static-libgcc to avoid linking to libgcc_s_sjlj-1.dll.
+
+Since gcc 4.8 there is a regression in that plain C programs may link
+to libgcc_s.a which has a dependency on libgcc_s_sjlj.dll.  This is
+for example triggered by using long long arithmetic on a 32 bit
+Windows (e.g symbol __udivdi3).
+
+As usual the gcc maintainers don't care about backward compatibility
+and declare that as some kind of compatibility fix and not as
+regression from 4.7 and all earlier versions.
+
+Note that we ignore this patch if it seems to be already applied
+upstream.
+
+--- Makefile.am~	2016-04-18 20:56:32.000000000 +0200
++++ Makefile.am	2016-05-04 12:08:53.254035717 +0200
+@@ -3,7 +3,7 @@
+
+ lib_LTLIBRARIES = libsqlite3.la
+ libsqlite3_la_SOURCES = sqlite3.c
+-libsqlite3_la_LDFLAGS = -no-undefined -version-info 8:6:8
++libsqlite3_la_LDFLAGS = -XCClinker -static-libgcc -no-undefined -version-info 8:6:8
+
+ bin_PROGRAMS = sqlite3
+ sqlite3_SOURCES = shell.c sqlite3.h
+
+--- Makefile.in~	2016-04-18 20:56:36.000000000 +0200
++++ Makefile.in	2016-05-04 12:13:36.570020590 +0200
+@@ -365,7 +365,7 @@
+ AM_CFLAGS = @THREADSAFE_FLAGS@ @DYNAMIC_EXTENSION_FLAGS@ @FTS5_FLAGS@ @JSON1_FLAGS@ -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE
+ lib_LTLIBRARIES = libsqlite3.la
+ libsqlite3_la_SOURCES = sqlite3.c
+-libsqlite3_la_LDFLAGS = -no-undefined -version-info 8:6:8
++libsqlite3_la_LDFLAGS = -XCClinker -static-libgcc -no-undefined -version-info 8:6:8
+ sqlite3_SOURCES = shell.c sqlite3.h
+ EXTRA_sqlite3_SOURCES = sqlite3.c
+ sqlite3_LDADD = @EXTRA_SHELL_OBJ@ @READLINE_LIBS@

commit 9ea258fa5b45bb5454ee3f5906df5d5eebdec0dd
Author: Werner Koch <wk at gnupg.org>
Date:   Wed May 4 14:31:46 2016 +0200

    speedo: Also try patch files w/o version number.
    
    * build-aux/speedo.mk (SPKG_template): Try such a patch file.
    
    Signed-off-by: Werner Koch <wk at gnupg.org>

diff --git a/build-aux/speedo.mk b/build-aux/speedo.mk
index 2812773..d286655 100644
--- a/build-aux/speedo.mk
+++ b/build-aux/speedo.mk
@@ -866,9 +866,13 @@ $(stampdir)/stamp-$(1)-00-unpack: $(stampdir)/stamp-directories
                  | sed -e 's,\.tar.*$$$$,,'`;		\
 	   mv $$$${base} $(1);				\
 	   patch="$(patdir)/$(1)-$$$${base#$(1)-}.patch";\
+	   patchx="$(patdir)/$(1).patch";               \
 	   if [ -x "$$$${patch}" ]; then  		\
              echo "speedo: applying patch $$$${patch}"; \
              cd $(1); "$$$${patch}"; 	 		\
+	   elif [ -x "$$$${patchx}" ]; then  		\
+             echo "speedo: applying patch $$$${patchx}";\
+             cd $(1); "$$$${patchx}"; 	 		\
 	   elif [ -f "$$$${patch}" ]; then  		\
              echo "speedo: warning: $$$${patch} is not executable"; \
 	   fi;						\

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                           |  3 ++-
 build-aux/speedo.mk                   |  4 ++++
 build-aux/speedo/patches/sqlite.patch | 42 +++++++++++++++++++++++++++++++++++
 build-aux/speedo/w32/inst.nsi         | 16 ++++++-------
 g10/tofu.c                            |  7 +++---
 5 files changed, 60 insertions(+), 12 deletions(-)
 create mode 100755 build-aux/speedo/patches/sqlite.patch


hooks/post-receive
-- 
The GNU Privacy Guard
http://git.gnupg.org




More information about the Gnupg-commits mailing list